%!TEX root=../../source.tex
%!TEX file=config/commands/material-models.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% MATERIAL MODEL COMMANDS

%%
% @group math
% @sample \relaxationtime: Relaxation time of a Kelvin or Maxwell material
%%
\ProvideDocumentCommand{\relaxationtime}{}{%
  \tau%
}%

%%
% @group math
% @sample \symtotal: Symbol for the totaling of a system
%%
\ProvideDocumentCommand{\symtotal}{}{%
  \Sigma%
}%

%%
% @group math
% @sample \mstotal: Mathematical subscript for the totaling of a system
%%
\ProvideDocumentCommand{\mstotal}{}{%
  \symtotal
}

%%
% @group math
% @sample \symmaterial: Symbol for "material"
%%
\ProvideDocumentCommand{\symmaterial}{}{%
  \mc{mat}%
}%

%%
% @group math
% @sample \msmaterial: Subscript for symbol "material"
%%
\ProvideDocumentCommand{\msmaterial}{}{%
  \ms{\symmaterial}%
}%

%%
% @group math
% @sample \symmaxwell: Symbol for Maxwell material model
%%
\ProvideDocumentCommand{\symmaxwell}{ }{%
  \mc{MW}%
}%

%%
% @group math
% @sample \msmaxwell: Subscript index for Maxwell material model
%%
\ProvideDocumentCommand{\msmaxwell}{ }{%
  \ms{\symmaxwell}%
}%

%%
% @group math
% @sample \symkelvinvoigt: Symbol for Kelvin--Voigt material model
%%
\ProvideDocumentCommand{\symkelvinvoigt}{ }{%
  \mc{KV}%
}%

%%
% @group math
% @sample \mskelvinvoigt: Subscript index for Kelvin--Voigt material model
%%
\ProvideDocumentCommand{\mskelvinvoigt}{ }{%
  \ms{\symkelvinvoigt}%
}%

%%
% @group math
% @sample \symzener: Symbol for Zener material model
%%
\ProvideDocumentCommand{\symzener}{ }{%
  \mc{ZN}%
}%

%%
% @group math
% @sample \mszener: Subscript index for Zener material model
%%
\ProvideDocumentCommand{\mszener}{ }{%
  \ms{\symzener}%
}%

%%
% @group math
% @sample \symburger: Symbol for Burgers material model
%%
\ProvideDocumentCommand{\symburger}{ }{%
  \mc{BM}%
}%

%%
% @group math
% @sample \msburger: Subscript index for Burgers material model
%%
\ProvideDocumentCommand{\msburger}{ }{%
  \ms{\symburger}%
}%
